Bug Hunting Session
Bug 106502 - VIEWING: Zooming in Page Preview goes to the first page, not where cursor is
Summary: VIEWING: Zooming in Page Preview goes to the first page, not where cursor is
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Zoom-Issues
  Show dependency treegraph
 
Reported: 2017-03-12 01:03 UTC by Thomas Lendo
Modified: 2019-11-04 03:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Writer document with several pages (8.26 KB, application/vnd.oasis.opendocument.text)
2017-03-12 01:04 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-03-12 01:03:35 UTC
When you have several pages, zooming in Page Preview goes to the first page or first page in a pages row and not to the page where the cursor actually is.

Steps to reproduce:

1. Open the attached documents or open another Writer document with several pages.
2. Go to Page Preview.
3. Select some pages in rows and columns (e.g. "3 x 3 Pages").
4. Move the cursor to a page on the right of Page Preview area - regardless of whether it's in the first row or in a row below.
5. Zoom in with CTRL + mouse wheel.

Actual result:

The Page preview view goes to the first page or the first page in a row below instead of the page on the right.

Expected result:

The Page Preview view should respect the cursor position because that is the center of where I want to zoom in. This is useful for example if you have a multi-page document and you want check some content on a page and then at another page and so on. This zooming behavior is well known from image manipulation programs, AutoCAD, etc.


Tested with LibO 5.3.0.3
Build ID: 1:5.3.0~rc3-0ubuntu1~trusty1.1
CPU Threads: 2; OS Version: Linux 3.13; UI Render: default; VCL: gtk2; Layout Engine: new; Locale: de-AT (de_DE.UTF-8); Calc: group

and

LibO 5.3.0.3
Build-ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU-Threads: 1; BS-Version: Windows 5.1; UI-Render: Standard; Layout-Engine: neu; Gebietsschema: de-AT (de_AT); Calc: group
Comment 1 Thomas Lendo 2017-03-12 01:04:24 UTC
Created attachment 131823 [details]
Test Writer document with several pages
Comment 2 Buovjaga 2017-03-15 11:44:29 UTC
Repro with 5.2. For some reason, ctrl+scrolling is broken in 5.4..

Win 7 Pro 64-bit, Version: 5.2.5.1 (x64)
Build ID: 0312e1a284a7d50ca85a365c316c7abbf20a4d22
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI); Calc: CL

Version: 5.4.0.0.alpha0+
Build ID: eb7b03b052ffe8c2c577b2349987653db6c53f76
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2017-02-26_22:34:18
Locale: fi-FI (fi_FI); Calc: CL
Comment 3 Buovjaga 2017-03-20 11:47:16 UTC
(In reply to Buovjaga from comment #2)
> ctrl+scrolling is broken in 5.4..

Created bug 106661
Comment 4 QA Administrators 2018-09-05 02:54:26 UTC Comment hidden (obsolete)
Comment 5 Roman Kuznetsov 2018-09-11 10:45:17 UTC
still repro in 6.1.1.1 on Windows 7
Comment 6 QA Administrators 2019-11-04 03:28:56 UTC
Dear Thomas Lendo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug